<?php 
/* SVN FILE: $Id$ */
/* ProfileTable Test cases generated on: 2009-12-28 15:13:57 : 1261980837*/
App::import('Model', 'ProfileTable');

class ProfileTableTestCase extends CakeTestCase {
	var $ProfileTable = null;
	var $fixtures = array('app.profile_table', 'app.profile');

	function startTest() {
		$this->ProfileTable =& ClassRegistry::init('ProfileTable');
	}

	function testProfileTableInstance() {
		$this->assertTrue(is_a($this->ProfileTable, 'ProfileTable'));
	}

	function testProfileTableFind() {
		$this->ProfileTable->recursive = -1;
		$results = $this->ProfileTable->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('ProfileTable' => array(
			'id'  => 1,
			'profile_id'  => 1,
			'name'  => 'Lorem ipsum dolor sit amet',
			'title'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'sort_order'  => 1
		));
		$this->assertEqual($results, $expected);
	}
}
?>